| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Attributes | List of all members
globjects::StateSettingType Class Reference

`#include <globjects/include/globjects/StateSetting.h>`

## Public Member Functions
| StateSettingType ()
| StateSettingType (void *functionIdentifier)
bool | operator== (const StateSettingType &other) const
std::size_t | hash () const
void | specializeType (gl::GLenum subtype)

## Protected Attributes
void * | m_functionIdentifier
std::set< gl::GLenum > | m_subtypes

## Constructor & Destructor Documentation

## ◆ StateSettingType() [1/2]

globjects::StateSettingType::StateSettingType | ( |  | ) |

## ◆ StateSettingType() [2/2]

globjects::StateSettingType::StateSettingType | ( | void * | functionIdentifier | ) |

## Member Function Documentation

## ◆ operator==()

bool globjects::StateSettingType::operator== | ( | const StateSettingType & | other | ) | const

## ◆ hash()

std::size_t globjects::StateSettingType::hash | ( |  | ) | const

## ◆ specializeType()

void globjects::StateSettingType::specializeType | ( | gl::GLenum | subtype | ) |

## Member Data Documentation

## ◆ m_functionIdentifier

void* globjects::StateSettingType::m_functionIdentifier
| protected

## ◆ m_subtypes

std::set<gl::GLenum> globjects::StateSettingType::m_subtypes
| protected

The documentation for this class was generated from the following file:

- StateSetting.h